class_name InventoryItemRect
extends Panel


@export var amount_label: Label
@export var item_resource: DBItemResource
@export var item_texture: TextureRect


func update_rect() -> void:
	item_texture.texture = load(item_resource.item_texture)
	amount_label.text = "x" + str(item_resource.amount)
	tooltip_text = item_resource.name + "\n" + item_resource.description

func on_stack_full(is_full: bool) -> void:
	if is_full:
		amount_label.add_theme_color_override("font_color", Color(1, 0, 0))
	else:
		amount_label.add_theme_color_override("font_color", Color(1, 1, 1))
